curl --request GET \
--url https://engine-api.unomiq.com/traces/{trace_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Unomiq-App-Id: <x-unomiq-app-id>'import requests
url = "https://engine-api.unomiq.com/traces/{trace_id}"
headers = {
"X-Unomiq-App-Id": "<x-unomiq-app-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Unomiq-App-Id': '<x-unomiq-app-id>', Authorization: 'Bearer <token>'}
};
fetch('https://engine-api.unomiq.com/traces/{trace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"trace_id": "<string>",
"span_id": "<string>",
"span_start_time_unix_nano": 123,
"span_end_time_unix_nano": 123,
"duration_ms": 123,
"span_name": "<string>",
"span_kind": "<string>",
"parent_span_id": "<string>",
"service_name": "<string>",
"unit": "<string>",
"parent_unit": "<string>",
"resource_attributes": {},
"span_attributes": {},
"cost": 123,
"billing": {
"resource_type": "<string>",
"resource_name": "<string>",
"service_id": "<string>",
"service_name": "<string>",
"sku_id": "<string>",
"sku_name": "<string>",
"region": "<string>"
},
"usage": {
"amount": 123,
"unit": "<string>"
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Trace
Get details for a specific trace or a span within a time range.
Requires a valid JWT token with the read:traces permission.
The search is limited to spans where span_start_time falls within
the specified time range. If span_id is provided, returns only the
data for that specific span as a single-element list.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
OpenTelemetry trace identifier (32-character hexadecimal string)
^[a-fA-F0-9]{32}$"4bf92f3577b34da6a3ce929d0e0e4736"
Query Parameters
Start datetime (inclusive)
"2025-01-15T00:00:00Z"
End datetime (exclusive)
"2025-01-16T00:00:00Z"
OpenTelemetry span identifier (16-character hexadecimal string). If provided, returns only the data for this specific span.
^[a-fA-F0-9]{16}$"5ab41c652fedc2af"
Response
Successful Response
Billing information associated with a span.
Show child attributes
Show child attributes
Usage information associated with a span.
Show child attributes
Show child attributes